petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFCreateRemoteOffsets

Create offsets for point data on remote processes

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSFCreateRemoteOffsets(PetscSF sf, PetscSection rootSection, PetscSection leafSection, PetscInt **remoteOffsets)

Collective on sf

### Input Parameters

| sf | - The SF
| rootSection | - Data layout of remote points for outgoing data (this is layout for SF roots)
| leafSection | - Data layout of local points for incoming data (this is layout for SF leaves)

### Output Parameter

remoteOffsets -Offsets for point data on remote processes (these are offsets from the root section), or NULL

### See Also

PetscSFCreate()

### Level

developer

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages